<div class="listEmployee">
    <div class="filter-container">
        <div class="filter-wrapper">
            <mat-form-field appearance="outline" class="filter">
                <mat-label>Username</mat-label>
                <input matInput placeholder="Username" name="inputOption" [(ngModel)]="inputOption"
                    (keyup)="applyUsernameFilter()">
            </mat-form-field>
            <mat-form-field appearance="outline" class="filter">
                <mat-label>Status</mat-label>
                <mat-select name="selectedOption" [(ngModel)]="selectedOption" (selectionChange)="onSelectChange()">
                    <mat-option [value]="''">--</mat-option>
                    @for (status of status; track status) {
                    <mat-option [value]="status.value">{{status.viewValue}}</mat-option>
                    }
                </mat-select>
            </mat-form-field>
        </div>
        <div class="container-add-button">
            <button mat-flat-button color="primary" (click)="handleAdd()">Add Employee</button>
        </div>
    </div>

    <table mat-table [dataSource]="dataSource" matSort (matSortChange)="announceSortChange($event)"
        class="mat-elevation-z8">

        <ng-container matColumnDef="username">
            <th mat-header-cell *matHeaderCellDef mat-sort-header sortActionDescription="Sort by username">
                Username
            </th>
            <td mat-cell *matCellDef="let element"> {{element.username}} </td>
        </ng-container>

        <ng-container matColumnDef="email">
            <th mat-header-cell *matHeaderCellDef mat-sort-header sortActionDescription="Sort by email">
                Email
            </th>
            <td mat-cell *matCellDef="let element"> {{element.email}} </td>
        </ng-container>

        <ng-container matColumnDef="status">
            <th mat-header-cell *matHeaderCellDef mat-sort-header sortActionDescription="Sort by status">
                Status
            </th>
            <td mat-cell *matCellDef="let element"> {{element.status}} </td>
        </ng-container>

        <ng-container matColumnDef="group">
            <th mat-header-cell *matHeaderCellDef mat-sort-header sortActionDescription="Sort by group">
                Group
            </th>
            <td mat-cell *matCellDef="let element"> {{element.group}} </td>
        </ng-container>

        <ng-container matColumnDef="action">
            <th mat-header-cell *matHeaderCellDef>
                Action
            </th>
            <td mat-cell *matCellDef="let element">
                <span class="material-icons icon" (click)="handleEdit()">edit</span>
                <span class="material-icons icon" (click)="handleDelete()">delete</span>
                <span class="material-icons icon" (click)="handleDetail(element.id)">info</span>
            </td>
        </ng-container>

        <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
        <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
    </table>

    <mat-paginator [pageSizeOptions]="[5, 10, 20, 50, 100]" showFirstLastButtons aria-label="Select page size">
    </mat-paginator>
</div>